Package com.databend.jdbc

# Class DatabendColumnInfo

java.lang.Object
com.databend.jdbc.DatabendColumnInfo

public class DatabendColumnInfo extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DatabendColumnInfo.Builder`
`static enum`
`DatabendColumnInfo.Nullable`

## Constructor Summary

Constructors
Constructor
Description
`DatabendColumnInfo(int columnType, List<Integer> columnParameterTypes, com.databend.client.data.DatabendRawType type, DatabendColumnInfo.Nullable nullable, boolean currency, boolean signed, int precision, int scale, int columnDisplaySize, String columnLabel, String columnName, String tableName, String schemaName, String catalogName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCatalogName()`
`int`
`getColumnDisplaySize()`
`String`
`getColumnLabel()`
`String`
`getColumnName()`
`List<Integer>`
`getColumnParameterTypes()`
`int`
`getColumnType()`
`String`
`getColumnTypeName()`
`DatabendColumnInfo.Nullable`
`getNullable()`
`int`
`getPrecision()`
`int`
`getScale()`
`String`
`getSchemaName()`
`String`
`getTableName()`
`com.databend.client.data.DatabendRawType`
`getType()`
`boolean`
`isCurrency()`
`boolean`
`isSigned()`
`static DatabendColumnInfo.Builder`
`newBuilder(String name, com.databend.client.data.DatabendRawType type)`
`static DatabendColumnInfo`
`of(String name, com.databend.client.data.DatabendRawType type)`
`static void`
`setTypeInfo(DatabendColumnInfo.Builder builder, com.databend.client.data.DatabendRawType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabendColumnInfo

public DatabendColumnInfo(int columnType, List<Integer> columnParameterTypes, com.databend.client.data.DatabendRawType type, DatabendColumnInfo.Nullable nullable, boolean currency, boolean signed, int precision, int scale, int columnDisplaySize, String columnLabel, String columnName, String tableName, String schemaName, String catalogName)

## Method Details

### of

public static DatabendColumnInfo of(String name, com.databend.client.data.DatabendRawType type)

### setTypeInfo

public static void setTypeInfo(DatabendColumnInfo.Builder builder, com.databend.client.data.DatabendRawType type)

### newBuilder

public static DatabendColumnInfo.Builder newBuilder(String name, com.databend.client.data.DatabendRawType type)

### getColumnType

public int getColumnType()

### getColumnParameterTypes

public List<Integer> getColumnParameterTypes()

### getType

public com.databend.client.data.DatabendRawType getType()

### getNullable

public DatabendColumnInfo.Nullable getNullable()

### getColumnTypeName

public String getColumnTypeName()

### isCurrency

public boolean isCurrency()

### isSigned

public boolean isSigned()

### getPrecision

public int getPrecision()

### getScale

public int getScale()

### getColumnDisplaySize

public int getColumnDisplaySize()

### getColumnLabel

public String getColumnLabel()

### getColumnName

public String getColumnName()

### getTableName

public String getTableName()

### getSchemaName

public String getSchemaName()

### getCatalogName

public String getCatalogName()